const svg = document.querySelector('svg');

// Draw cat body
const catBody = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'circle',
);
catBody.setAttribute('cx', 200);
catBody.setAttribute('cy', 200);
catBody.setAttribute('r', 100);
catBody.setAttribute('fill', '#cccccc');
svg.appendChild(catBody);

// Draw cat head
const catHead = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'circle',
);
catHead.setAttribute('cx', 200);
catHead.setAttribute('cy', 120);
catHead.setAttribute('r', 70);
catHead.setAttribute('fill', '#cccccc');
svg.appendChild(catHead);

// Draw cat eyes
const leftEye = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'circle',
);
leftEye.setAttribute('cx', 180);
leftEye.setAttribute('cy', 100);
leftEye.setAttribute('r', 10);
leftEye.setAttribute('fill', 'black');
svg.appendChild(leftEye);

const rightEye = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'circle',
);
rightEye.setAttribute('cx', 220);
rightEye.setAttribute('cy', 100);
rightEye.setAttribute('r', 10);
rightEye.setAttribute('fill', 'black');
svg.appendChild(rightEye);

// Draw cat nose
const nose = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'ellipse',
);
nose.setAttribute('cx', 200);
nose.setAttribute('cy', 130);
nose.setAttribute('rx', 15);
nose.setAttribute('ry', 10);
nose.setAttribute('fill', 'pink');
svg.appendChild(nose);

// Draw cat mouth
const mouth = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'path',
);
mouth.setAttribute('d', 'M180,150 Q200,180 220,150');
mouth.setAttribute('fill', 'none');
mouth.setAttribute('stroke', 'black');
svg.appendChild(mouth);

// Draw cat whiskers
const whisker1 = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'line',
);
whisker1.setAttribute('x1', 160);
whisker1.setAttribute('y1', 120);
whisker1.setAttribute('x2', 140);
whisker1.setAttribute('y2', 130);
whisker1.setAttribute('stroke', 'black');
svg.appendChild(whisker1);

const whisker2 = document.createElementNS(
  'http://www.w3.org/2000/svg',
  'line',
);
whisker2.setAttribute('x1', 240);
whisker2.setAttribute('y1', 120);
whisker2.setAttribute('x2', 260);
whisker2.setAttribute('y2', 130);
whisker2.setAttribute('stroke', 'black');
svg.appendChild(whisker2);
